Page MenuHomePhabricator

[Driver] Support linking to compiler-rt for target AVR
ClosedPublic

Authored by benshi001 on Jun 18 2022, 11:09 PM.

Diff Detail

Event Timeline

benshi001 created this revision.Jun 18 2022, 11:09 PM
Herald added a project: Restricted Project. · View Herald TranscriptJun 18 2022, 11:09 PM
benshi001 requested review of this revision.Jun 18 2022, 11:09 PM
Herald added a project: Restricted Project. · View Herald TranscriptJun 18 2022, 11:09 PM
benshi001 updated this revision to Diff 438182.Jun 19 2022, 1:12 AM
benshi001 updated this revision to Diff 438195.Jun 19 2022, 6:54 AM
benshi001 set the repository for this revision to rG LLVM Github Monorepo.
benshi001 updated this revision to Diff 438238.Jun 19 2022, 7:03 PM

A gentle ping ...

aykevl accepted this revision.Aug 13 2022, 4:20 AM

Looks good to me!

clang/lib/Driver/ToolChains/AVR.cpp
549

Suggestion for the second sentence:

We directly use libclang.builtins.a as input file, instead of using '-lclang.builtins'.

This revision is now accepted and ready to land.Aug 13 2022, 4:20 AM
benshi001 marked an inline comment as done.Aug 13 2022, 4:47 AM
benshi001 added inline comments.
clang/lib/Driver/ToolChains/AVR.cpp
549

I will change the comments in my commit. Thanks !

benshi001 marked an inline comment as done.Aug 13 2022, 4:47 AM
This revision was landed with ongoing or failed builds.Aug 13 2022, 5:40 AM
This revision was automatically updated to reflect the committed changes.
phosek added a subscriber: phosek.Aug 15 2022, 10:46 AM

We started seeing test failures after this change on our bots. Would it be possible to revert the change and address these issues before relanding?

In Clang :: Driver/avr-ld.c:

Script:
--
: 'RUN: at line 1';   /b/s/w/ir/x/w/staging/llvm_build/bin/clang -### --target=avr -mmcu=at90s2313 --sysroot /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/basic_avr_tree /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-ld.c 2>&1 | /b/s/w/ir/x/w/staging/llvm_build/bin/FileCheck -check-prefix LINKA /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-ld.c
: 'RUN: at line 4';   /b/s/w/ir/x/w/staging/llvm_build/bin/clang -### --target=avr -mmcu=at90s8515 --sysroot /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/basic_avr_tree /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-ld.c 2>&1 | /b/s/w/ir/x/w/staging/llvm_build/bin/FileCheck -check-prefix LINKB /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-ld.c
: 'RUN: at line 7';   /b/s/w/ir/x/w/staging/llvm_build/bin/clang -### --target=avr -mmcu=attiny13 --sysroot /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/basic_avr_tree /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-ld.c 2>&1 | /b/s/w/ir/x/w/staging/llvm_build/bin/FileCheck -check-prefix LINKC /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-ld.c
: 'RUN: at line 10';   /b/s/w/ir/x/w/staging/llvm_build/bin/clang -### --target=avr -mmcu=attiny44 --sysroot /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/basic_avr_tree /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-ld.c 2>&1 | /b/s/w/ir/x/w/staging/llvm_build/bin/FileCheck -check-prefix LINKD /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-ld.c
: 'RUN: at line 13';   /b/s/w/ir/x/w/staging/llvm_build/bin/clang -### --target=avr -mmcu=atmega103 --sysroot /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/basic_avr_tree /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-ld.c 2>&1 | /b/s/w/ir/x/w/staging/llvm_build/bin/FileCheck -check-prefix LINKE /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-ld.c
: 'RUN: at line 16';   /b/s/w/ir/x/w/staging/llvm_build/bin/clang -### --target=avr -mmcu=atmega8u2 --sysroot /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/basic_avr_tree /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-ld.c 2>&1 | /b/s/w/ir/x/w/staging/llvm_build/bin/FileCheck -check-prefix LINKF /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-ld.c
: 'RUN: at line 19';   /b/s/w/ir/x/w/staging/llvm_build/bin/clang -### --target=avr -mmcu=atmega48pa --sysroot /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/basic_avr_tree /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-ld.c 2>&1 | /b/s/w/ir/x/w/staging/llvm_build/bin/FileCheck -check-prefix LINKG /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-ld.c
: 'RUN: at line 22';   /b/s/w/ir/x/w/staging/llvm_build/bin/clang -### --target=avr -mmcu=atmega328 --sysroot /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/basic_avr_tree /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-ld.c 2>&1 | /b/s/w/ir/x/w/staging/llvm_build/bin/FileCheck -check-prefix LINKH /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-ld.c
: 'RUN: at line 25';   /b/s/w/ir/x/w/staging/llvm_build/bin/clang -### --target=avr -mmcu=atmega1281 --sysroot /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/basic_avr_tree /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-ld.c 2>&1 | /b/s/w/ir/x/w/staging/llvm_build/bin/FileCheck -check-prefix LINKI /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-ld.c
: 'RUN: at line 28';   /b/s/w/ir/x/w/staging/llvm_build/bin/clang -### --target=avr -mmcu=atmega2560 --sysroot /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/basic_avr_tree /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-ld.c 2>&1 | /b/s/w/ir/x/w/staging/llvm_build/bin/FileCheck -check-prefix LINKJ /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-ld.c
: 'RUN: at line 31';   /b/s/w/ir/x/w/staging/llvm_build/bin/clang -### --target=avr -mmcu=attiny10 --sysroot /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/basic_avr_tree /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-ld.c 2>&1 | /b/s/w/ir/x/w/staging/llvm_build/bin/FileCheck -check-prefix LINKK /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-ld.c
: 'RUN: at line 34';   /b/s/w/ir/x/w/staging/llvm_build/bin/clang -### --target=avr -mmcu=atxmega16a4 --sysroot /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/basic_avr_tree /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-ld.c 2>&1 | /b/s/w/ir/x/w/staging/llvm_build/bin/FileCheck -check-prefix LINKL /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-ld.c
: 'RUN: at line 37';   /b/s/w/ir/x/w/staging/llvm_build/bin/clang -### --target=avr -mmcu=atxmega64b3 --sysroot /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/basic_avr_tree /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-ld.c 2>&1 | /b/s/w/ir/x/w/staging/llvm_build/bin/FileCheck -check-prefix LINKM /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-ld.c
: 'RUN: at line 40';   /b/s/w/ir/x/w/staging/llvm_build/bin/clang -### --target=avr -mmcu=atxmega128a3u --sysroot /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/basic_avr_tree /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-ld.c 2>&1 | /b/s/w/ir/x/w/staging/llvm_build/bin/FileCheck -check-prefix LINKN /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-ld.c
: 'RUN: at line 43';   /b/s/w/ir/x/w/staging/llvm_build/bin/clang -### --target=avr -mmcu=atxmega128a1 --sysroot /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/basic_avr_tree /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-ld.c 2>&1 | /b/s/w/ir/x/w/staging/llvm_build/bin/FileCheck -check-prefix LINKO /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-ld.c
--
Exit Code: 1

Command Output (stderr):
--
/b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-ld.c:2:11: error: LINKA: expected string not found in input
// LINKA: {{".*ld.*"}} {{.*}} {{"-L.*tiny-stack"}} {{.*}} "-Tdata=0x800060" "--start-group" {{.*}} "-lat90s2313" {{.*}} "--end-group" "-mavr2"
          ^
<stdin>:1:1: note: scanning from here
Fuchsia clang version 16.0.0 (https://llvm.googlesource.com/llvm-project 6bb243bbdbdd9b55495dd3cb0512eb814d387d3d)
^

Input file: <stdin>
Check file: /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-ld.c

-dump-input=help explains the following input dump.

Input was:
<<<<<<
         1: Fuchsia clang version 16.0.0 (https://llvm.googlesource.com/llvm-project 6bb243bbdbdd9b55495dd3cb0512eb814d387d3d) 
check:2     X~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ error: no match found
         2: Target: avr 
check:2     ~~~~~~~~~~~~
         3: Thread model: posix 
check:2     ~~~~~~~~~~~~~~~~~~~~
         4: InstalledDir: /b/s/w/ir/x/w/staging/llvm_build/bin 
check:2     ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
         5:  "/b/s/w/ir/x/w/staging/llvm_build/bin/clang-16" "-cc1" "-triple" "avr" "-emit-obj" "-mrelax-all" "--mrelax-relocations" "-disable-free" "-clear-ast-before-backend" "-main-file-name" "avr-ld.c" "-mrelocation-model" "static" "-mframe-pointer=all" "-fmath-errno" "-ffp-contract=on" "-fno-rounding-math" "-mconstructor-aliases" "-fno-use-init-array" "-fno-use-cxa-atexit" "-target-cpu" "at90s2313" "-mllvm" "-treat-scalable-fixed-error-as-warning" "-debugger-tuning=gdb" "-fcoverage-compilation-dir=/b/s/w/ir/x/w/staging/llvm_build/tools/clang/test/Driver" "-resource-dir" "/b/s/w/ir/x/w/staging/llvm_build/lib/clang/16.0.0" "-isysroot" "/b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/basic_avr_tree" "-internal-isystem" "/b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/basic_avr_tree/usr/lib/gcc/avr/5.4.0/../../../avr/include" "-fdebug-compilation-dir=/b/s/w/ir/x/w/staging/llvm_build/tools/clang/test/Driver" "-ferror-limit" "19" "-fgnuc-version=4.2.1" "-faddrsig" "-o" "/b/s/w/ir/x/t/lit-tmp-_zwtb4z7/avr-ld-2d4e78.o" "-x" "c" "/b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-ld.c" 
check:2     ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
         6:  "/b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/basic_avr_tree/usr/lib/gcc/avr/5.4.0/../../../../bin/avr-ld" "-o" "a.out" "--gc-sections" "-L/b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/basic_avr_tree/usr/lib/gcc/avr/5.4.0/../../../avr/lib/tiny-stack" "-Tdata=0x800060" "--start-group" "-l:crtat90s2313.o" "-lm" "-lc" "-lat90s2313" "/b/s/w/ir/x/t/lit-tmp-_zwtb4z7/avr-ld-2d4e78.o" "--end-group" "-mavr2" 
check:2     ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
>>>>>>

--

In Clang :: Driver/avr-toolchain.c:

Script:
--
: 'RUN: at line 4';   /b/s/w/ir/x/w/staging/llvm_build/bin/clang -### /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-toolchain.c --target=avr --sysroot=/b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/basic_avr_tree -resource-dir=/b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/resource_dir 2>&1 | /b/s/w/ir/x/w/staging/llvm_build/bin/FileCheck --check-prefix=CHECK1 /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-toolchain.c
: 'RUN: at line 15';   /b/s/w/ir/x/w/staging/llvm_build/bin/clang -### /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-toolchain.c --target=avr --sysroot=/b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/basic_avr_tree_2/opt/local -S 2>&1 | /b/s/w/ir/x/w/staging/llvm_build/bin/FileCheck --check-prefix=CHECK2 /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-toolchain.c
: 'RUN: at line 21';   /b/s/w/ir/x/w/staging/llvm_build/bin/clang -### /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-toolchain.c --target=avr --sysroot=/b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/basic_avr_tree_2 -S 2>&1 | /b/s/w/ir/x/w/staging/llvm_build/bin/FileCheck --check-prefix=CHECK3 /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-toolchain.c
: 'RUN: at line 27';   /b/s/w/ir/x/w/staging/llvm_build/bin/clang -### /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-toolchain.c --target=avr 2>&1 | /b/s/w/ir/x/w/staging/llvm_build/bin/FileCheck -check-prefix=CC1 /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-toolchain.c
: 'RUN: at line 30';   /b/s/w/ir/x/w/staging/llvm_build/bin/clang -### /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-toolchain.c --target=avr -fuse-init-array -fuse-cxa-atexit 2>&1 | /b/s/w/ir/x/w/staging/llvm_build/bin/FileCheck -check-prefix=CHECK4 /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-toolchain.c
: 'RUN: at line 35';   /b/s/w/ir/x/w/staging/llvm_build/bin/clang -### /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-toolchain.c --target=avr --sysroot=/b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/basic_avr_tree 2>&1 -nostdinc | /b/s/w/ir/x/w/staging/llvm_build/bin/FileCheck --check-prefix=NOSTDINC /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-toolchain.c
: 'RUN: at line 36';   /b/s/w/ir/x/w/staging/llvm_build/bin/clang -### /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-toolchain.c --target=avr --sysroot=/b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/basic_avr_tree 2>&1 -nostdlibinc | /b/s/w/ir/x/w/staging/llvm_build/bin/FileCheck --check-prefix=NOSTDINC /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-toolchain.c
: 'RUN: at line 39';   /b/s/w/ir/x/w/staging/llvm_build/bin/clang -### --target=avr --sysroot=/b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/basic_avr_tree -mmcu=atmega328 /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-toolchain.c 2>&1 | /b/s/w/ir/x/w/staging/llvm_build/bin/FileCheck --check-prefix=NOWARN /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-toolchain.c
: 'RUN: at line 40';   /b/s/w/ir/x/w/staging/llvm_build/bin/clang -### --target=avr --sysroot=/b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/basic_avr_tree -mmcu=atmega328 -S /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-toolchain.c 2>&1 | /b/s/w/ir/x/w/staging/llvm_build/bin/FileCheck --check-prefix=NOWARN /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-toolchain.c
: 'RUN: at line 41';   /b/s/w/ir/x/w/staging/llvm_build/bin/clang -### --target=avr --sysroot=/b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/ -mmcu=atmega328 -S /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-toolchain.c 2>&1 | /b/s/w/ir/x/w/staging/llvm_build/bin/FileCheck --check-prefix=NOWARN /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-toolchain.c
: 'RUN: at line 44';   /b/s/w/ir/x/w/staging/llvm_build/bin/clang -### --target=avr --sysroot=/b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/basic_avr_tree -S /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-toolchain.c 2>&1 | /b/s/w/ir/x/w/staging/llvm_build/bin/FileCheck --check-prefixes=NOMCU,LINKA /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-toolchain.c
: 'RUN: at line 45';   /b/s/w/ir/x/w/staging/llvm_build/bin/clang -### --target=avr --sysroot=/b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/ -S /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-toolchain.c 2>&1 | /b/s/w/ir/x/w/staging/llvm_build/bin/FileCheck --check-prefixes=NOMCU,LINKA /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-toolchain.c
: 'RUN: at line 46';   /b/s/w/ir/x/w/staging/llvm_build/bin/clang -### --target=avr --sysroot=/b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/basic_avr_tree /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-toolchain.c 2>&1 | /b/s/w/ir/x/w/staging/llvm_build/bin/FileCheck --check-prefixes=NOMCU,LINKB /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-toolchain.c
: 'RUN: at line 55';   /b/s/w/ir/x/w/staging/llvm_build/bin/clang -### --target=avr --sysroot=/b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/ -mmcu=atmega328 /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-toolchain.c 2>&1 | /b/s/w/ir/x/w/staging/llvm_build/bin/FileCheck --check-prefixes=NOGCC /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-toolchain.c
: 'RUN: at line 61';   /b/s/w/ir/x/w/staging/llvm_build/bin/clang -### --target=avr --sysroot=/b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/basic_avr_tree -mmcu=atmega328 /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-toolchain.c -fuse-ld=avrld 2>&1 | /b/s/w/ir/x/w/staging/llvm_build/bin/FileCheck --check-prefix=NOLD /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-toolchain.c
: 'RUN: at line 64';   /b/s/w/ir/x/w/staging/llvm_build/bin/clang -### --target=avr --sysroot=/b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/basic_avr_tree -mmcu=atmega328 /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-toolchain.c -fuse-ld=/b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/basic_avr_tree/usr/bin/ld.lld 2>&1 | /b/s/w/ir/x/w/staging/llvm_build/bin/FileCheck --check-prefix=LLD /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-toolchain.c
: 'RUN: at line 69';   /b/s/w/ir/x/w/staging/llvm_build/bin/clang -### --target=avr --sysroot=/b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/basic_avr_tree -mmcu=atmega328 /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-toolchain.c -T avr.lds 2>&1 | /b/s/w/ir/x/w/staging/llvm_build/bin/FileCheck --check-prefix=LDS0 /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-toolchain.c
: 'RUN: at line 72';   /b/s/w/ir/x/w/staging/llvm_build/bin/clang -### --target=avr --sysroot=/b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/basic_avr_tree -mmcu=atmega328 /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-toolchain.c -fuse-ld=/b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/basic_avr_tree/usr/bin/ld.lld -T avr.lds 2>&1 | /b/s/w/ir/x/w/staging/llvm_build/bin/FileCheck --check-prefix=LDS1 /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-toolchain.c
: 'RUN: at line 76';   /b/s/w/ir/x/w/staging/llvm_build/bin/clang /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-toolchain.c -### --target=avr -mmcu=atmega328 --sysroot=/b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/basic_avr_tree/ -resource-dir=/b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/resource_dir_with_per_target_subdir 2>&1 | /b/s/w/ir/x/w/staging/llvm_build/bin/FileCheck --check-prefix=LIBGCC /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-toolchain.c
: 'RUN: at line 77';   /b/s/w/ir/x/w/staging/llvm_build/bin/clang /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-toolchain.c -### --target=avr -mmcu=atmega328 --sysroot=/b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/basic_avr_tree/ -resource-dir=/b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/resource_dir_with_per_target_subdir --rtlib=libgcc 2>&1 | /b/s/w/ir/x/w/staging/llvm_build/bin/FileCheck --check-prefix=LIBGCC /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-toolchain.c
: 'RUN: at line 81';   /b/s/w/ir/x/w/staging/llvm_build/bin/clang /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-toolchain.c -### --target=avr -mmcu=atmega328 --sysroot=/b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/basic_avr_tree/ -resource-dir=/b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/resource_dir_with_per_target_subdir --rtlib=compiler-rt 2>&1 | /b/s/w/ir/x/w/staging/llvm_build/bin/FileCheck --check-prefix=COMRT /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-toolchain.c
: 'RUN: at line 85';   /b/s/w/ir/x/w/staging/llvm_build/bin/clang /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-toolchain.c -### --target=avr --sysroot=/b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/basic_avr_tree/ -resource-dir=/b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/resource_dir_with_per_target_subdir --rtlib=compiler-rt 2>&1 | /b/s/w/ir/x/w/staging/llvm_build/bin/FileCheck --check-prefix=NOMCU /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-toolchain.c
: 'RUN: at line 86';   /b/s/w/ir/x/w/staging/llvm_build/bin/clang /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-toolchain.c -### --target=avr --sysroot=/b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/basic_avr_tree/ -resource-dir=/b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/resource_dir_with_per_target_subdir --rtlib=libgcc 2>&1 | /b/s/w/ir/x/w/staging/llvm_build/bin/FileCheck --check-prefix=NOMCU /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-toolchain.c
--
Exit Code: 1

Command Output (stderr):
--
/b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-toolchain.c:78:12: error: LIBGCC: expected string not found in input
// LIBGCC: "-lgcc"
           ^
<stdin>:1:1: note: scanning from here
Fuchsia clang version 16.0.0 (https://llvm.googlesource.com/llvm-project 6bb243bbdbdd9b55495dd3cb0512eb814d387d3d)
^
<stdin>:6:134: note: possible intended match here
 "/b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/basic_avr_tree/usr/lib/gcc/avr/5.4.0/../../../../bin/avr-ld" "-o" "a.out" "--gc-sections" "-L/b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/resource_dir_with_per_target_subdir/lib/avr" "-L/b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/basic_avr_tree/usr/lib/gcc/avr/5.4.0/../../../avr/lib/avr5" "-Tdata=0x800100" "--start-group" "-l:crtatmega328.o" "-lm" "-lc" "-latmega328" "/b/s/w/ir/x/t/lit-tmp-_zwtb4z7/avr-toolchain-34fb05.o" "/b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/resource_dir_with_per_target_subdir/lib/avr/libclang_rt.builtins.a" "--end-group" "-mavr5"
                                                                                                                                     ^

Input file: <stdin>
Check file: /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-toolchain.c

-dump-input=help explains the following input dump.

Input was:
<<<<<<
            1: Fuchsia clang version 16.0.0 (https://llvm.googlesource.com/llvm-project 6bb243bbdbdd9b55495dd3cb0512eb814d387d3d) 
check:78'0     X~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ error: no match found
            2: Target: avr 
check:78'0     ~~~~~~~~~~~~
            3: Thread model: posix 
check:78'0     ~~~~~~~~~~~~~~~~~~~~
            4: InstalledDir: /b/s/w/ir/x/w/staging/llvm_build/bin 
check:78'0     ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
            5:  "/b/s/w/ir/x/w/staging/llvm_build/bin/clang-16" "-cc1" "-triple" "avr" "-emit-obj" "-mrelax-all" "--mrelax-relocations" "-disable-free" "-clear-ast-before-backend" "-main-file-name" "avr-toolchain.c" "-mrelocation-model" "static" "-mframe-pointer=all" "-fmath-errno" "-ffp-contract=on" "-fno-rounding-math" "-mconstructor-aliases" "-fno-use-init-array" "-fno-use-cxa-atexit" "-target-cpu" "atmega328" "-mllvm" "-treat-scalable-fixed-error-as-warning" "-debugger-tuning=gdb" "-fcoverage-compilation-dir=/b/s/w/ir/x/w/staging/llvm_build/tools/clang/test/Driver" "-resource-dir" "/b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/resource_dir_with_per_target_subdir" "-isysroot" "/b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/basic_avr_tree/" "-internal-isystem" "/b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/basic_avr_tree/usr/lib/gcc/avr/5.4.0/../../../avr/include" "-fdebug-compilation-dir=/b/s/w/ir/x/w/staging/llvm_build/tools/clang/test/Driver" "-ferror-limit" "19" "-fgnuc-version=4.2.1" "-faddrsig" "-o" "/b/s/w/ir/x/t/lit-tmp-_zwtb4z7/avr-toolchain-34fb05.o" "-x" "c" "/b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-toolchain.c" 
check:78'0     ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
            6:  "/b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/basic_avr_tree/usr/lib/gcc/avr/5.4.0/../../../../bin/avr-ld" "-o" "a.out" "--gc-sections" "-L/b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/resource_dir_with_per_target_subdir/lib/avr" "-L/b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/basic_avr_tree/usr/lib/gcc/avr/5.4.0/../../../avr/lib/avr5" "-Tdata=0x800100" "--start-group" "-l:crtatmega328.o" "-lm" "-lc" "-latmega328" "/b/s/w/ir/x/t/lit-tmp-_zwtb4z7/avr-toolchain-34fb05.o" "/b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/resource_dir_with_per_target_subdir/lib/avr/libclang_rt.builtins.a" "--end-group" "-mavr5" 
check:78'0     ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
check:78'1                                                                                                                                          ?                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              possible intended match
>>>>>>

--

We started seeing test failures after this change on our bots. Would it be possible to revert the change and address these issues before relanding?

In Clang :: Driver/avr-ld.c:

Script:
--
: 'RUN: at line 1';   /b/s/w/ir/x/w/staging/llvm_build/bin/clang -### --target=avr -mmcu=at90s2313 --sysroot /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/basic_avr_tree /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-ld.c 2>&1 | /b/s/w/ir/x/w/staging/llvm_build/bin/FileCheck -check-prefix LINKA /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-ld.c
: 'RUN: at line 4';   /b/s/w/ir/x/w/staging/llvm_build/bin/clang -### --target=avr -mmcu=at90s8515 --sysroot /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/basic_avr_tree /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-ld.c 2>&1 | /b/s/w/ir/x/w/staging/llvm_build/bin/FileCheck -check-prefix LINKB /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-ld.c
: 'RUN: at line 7';   /b/s/w/ir/x/w/staging/llvm_build/bin/clang -### --target=avr -mmcu=attiny13 --sysroot /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/basic_avr_tree /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-ld.c 2>&1 | /b/s/w/ir/x/w/staging/llvm_build/bin/FileCheck -check-prefix LINKC /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-ld.c
: 'RUN: at line 10';   /b/s/w/ir/x/w/staging/llvm_build/bin/clang -### --target=avr -mmcu=attiny44 --sysroot /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/basic_avr_tree /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-ld.c 2>&1 | /b/s/w/ir/x/w/staging/llvm_build/bin/FileCheck -check-prefix LINKD /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-ld.c
: 'RUN: at line 13';   /b/s/w/ir/x/w/staging/llvm_build/bin/clang -### --target=avr -mmcu=atmega103 --sysroot /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/basic_avr_tree /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-ld.c 2>&1 | /b/s/w/ir/x/w/staging/llvm_build/bin/FileCheck -check-prefix LINKE /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-ld.c
: 'RUN: at line 16';   /b/s/w/ir/x/w/staging/llvm_build/bin/clang -### --target=avr -mmcu=atmega8u2 --sysroot /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/basic_avr_tree /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-ld.c 2>&1 | /b/s/w/ir/x/w/staging/llvm_build/bin/FileCheck -check-prefix LINKF /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-ld.c
: 'RUN: at line 19';   /b/s/w/ir/x/w/staging/llvm_build/bin/clang -### --target=avr -mmcu=atmega48pa --sysroot /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/basic_avr_tree /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-ld.c 2>&1 | /b/s/w/ir/x/w/staging/llvm_build/bin/FileCheck -check-prefix LINKG /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-ld.c
: 'RUN: at line 22';   /b/s/w/ir/x/w/staging/llvm_build/bin/clang -### --target=avr -mmcu=atmega328 --sysroot /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/basic_avr_tree /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-ld.c 2>&1 | /b/s/w/ir/x/w/staging/llvm_build/bin/FileCheck -check-prefix LINKH /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-ld.c
: 'RUN: at line 25';   /b/s/w/ir/x/w/staging/llvm_build/bin/clang -### --target=avr -mmcu=atmega1281 --sysroot /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/basic_avr_tree /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-ld.c 2>&1 | /b/s/w/ir/x/w/staging/llvm_build/bin/FileCheck -check-prefix LINKI /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-ld.c
: 'RUN: at line 28';   /b/s/w/ir/x/w/staging/llvm_build/bin/clang -### --target=avr -mmcu=atmega2560 --sysroot /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/basic_avr_tree /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-ld.c 2>&1 | /b/s/w/ir/x/w/staging/llvm_build/bin/FileCheck -check-prefix LINKJ /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-ld.c
: 'RUN: at line 31';   /b/s/w/ir/x/w/staging/llvm_build/bin/clang -### --target=avr -mmcu=attiny10 --sysroot /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/basic_avr_tree /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-ld.c 2>&1 | /b/s/w/ir/x/w/staging/llvm_build/bin/FileCheck -check-prefix LINKK /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-ld.c
: 'RUN: at line 34';   /b/s/w/ir/x/w/staging/llvm_build/bin/clang -### --target=avr -mmcu=atxmega16a4 --sysroot /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/basic_avr_tree /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-ld.c 2>&1 | /b/s/w/ir/x/w/staging/llvm_build/bin/FileCheck -check-prefix LINKL /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-ld.c
: 'RUN: at line 37';   /b/s/w/ir/x/w/staging/llvm_build/bin/clang -### --target=avr -mmcu=atxmega64b3 --sysroot /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/basic_avr_tree /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-ld.c 2>&1 | /b/s/w/ir/x/w/staging/llvm_build/bin/FileCheck -check-prefix LINKM /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-ld.c
: 'RUN: at line 40';   /b/s/w/ir/x/w/staging/llvm_build/bin/clang -### --target=avr -mmcu=atxmega128a3u --sysroot /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/basic_avr_tree /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-ld.c 2>&1 | /b/s/w/ir/x/w/staging/llvm_build/bin/FileCheck -check-prefix LINKN /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-ld.c
: 'RUN: at line 43';   /b/s/w/ir/x/w/staging/llvm_build/bin/clang -### --target=avr -mmcu=atxmega128a1 --sysroot /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/basic_avr_tree /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-ld.c 2>&1 | /b/s/w/ir/x/w/staging/llvm_build/bin/FileCheck -check-prefix LINKO /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-ld.c
--
Exit Code: 1

Command Output (stderr):
--
/b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-ld.c:2:11: error: LINKA: expected string not found in input
// LINKA: {{".*ld.*"}} {{.*}} {{"-L.*tiny-stack"}} {{.*}} "-Tdata=0x800060" "--start-group" {{.*}} "-lat90s2313" {{.*}} "--end-group" "-mavr2"
          ^
<stdin>:1:1: note: scanning from here
Fuchsia clang version 16.0.0 (https://llvm.googlesource.com/llvm-project 6bb243bbdbdd9b55495dd3cb0512eb814d387d3d)
^

Input file: <stdin>
Check file: /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-ld.c

-dump-input=help explains the following input dump.

Input was:
<<<<<<
         1: Fuchsia clang version 16.0.0 (https://llvm.googlesource.com/llvm-project 6bb243bbdbdd9b55495dd3cb0512eb814d387d3d) 
check:2     X~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ error: no match found
         2: Target: avr 
check:2     ~~~~~~~~~~~~
         3: Thread model: posix 
check:2     ~~~~~~~~~~~~~~~~~~~~
         4: InstalledDir: /b/s/w/ir/x/w/staging/llvm_build/bin 
check:2     ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
         5:  "/b/s/w/ir/x/w/staging/llvm_build/bin/clang-16" "-cc1" "-triple" "avr" "-emit-obj" "-mrelax-all" "--mrelax-relocations" "-disable-free" "-clear-ast-before-backend" "-main-file-name" "avr-ld.c" "-mrelocation-model" "static" "-mframe-pointer=all" "-fmath-errno" "-ffp-contract=on" "-fno-rounding-math" "-mconstructor-aliases" "-fno-use-init-array" "-fno-use-cxa-atexit" "-target-cpu" "at90s2313" "-mllvm" "-treat-scalable-fixed-error-as-warning" "-debugger-tuning=gdb" "-fcoverage-compilation-dir=/b/s/w/ir/x/w/staging/llvm_build/tools/clang/test/Driver" "-resource-dir" "/b/s/w/ir/x/w/staging/llvm_build/lib/clang/16.0.0" "-isysroot" "/b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/basic_avr_tree" "-internal-isystem" "/b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/basic_avr_tree/usr/lib/gcc/avr/5.4.0/../../../avr/include" "-fdebug-compilation-dir=/b/s/w/ir/x/w/staging/llvm_build/tools/clang/test/Driver" "-ferror-limit" "19" "-fgnuc-version=4.2.1" "-faddrsig" "-o" "/b/s/w/ir/x/t/lit-tmp-_zwtb4z7/avr-ld-2d4e78.o" "-x" "c" "/b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-ld.c" 
check:2     ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
         6:  "/b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/basic_avr_tree/usr/lib/gcc/avr/5.4.0/../../../../bin/avr-ld" "-o" "a.out" "--gc-sections" "-L/b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/basic_avr_tree/usr/lib/gcc/avr/5.4.0/../../../avr/lib/tiny-stack" "-Tdata=0x800060" "--start-group" "-l:crtat90s2313.o" "-lm" "-lc" "-lat90s2313" "/b/s/w/ir/x/t/lit-tmp-_zwtb4z7/avr-ld-2d4e78.o" "--end-group" "-mavr2" 
check:2     ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
>>>>>>

--

In Clang :: Driver/avr-toolchain.c:

Script:
--
: 'RUN: at line 4';   /b/s/w/ir/x/w/staging/llvm_build/bin/clang -### /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-toolchain.c --target=avr --sysroot=/b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/basic_avr_tree -resource-dir=/b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/resource_dir 2>&1 | /b/s/w/ir/x/w/staging/llvm_build/bin/FileCheck --check-prefix=CHECK1 /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-toolchain.c
: 'RUN: at line 15';   /b/s/w/ir/x/w/staging/llvm_build/bin/clang -### /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-toolchain.c --target=avr --sysroot=/b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/basic_avr_tree_2/opt/local -S 2>&1 | /b/s/w/ir/x/w/staging/llvm_build/bin/FileCheck --check-prefix=CHECK2 /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-toolchain.c
: 'RUN: at line 21';   /b/s/w/ir/x/w/staging/llvm_build/bin/clang -### /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-toolchain.c --target=avr --sysroot=/b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/basic_avr_tree_2 -S 2>&1 | /b/s/w/ir/x/w/staging/llvm_build/bin/FileCheck --check-prefix=CHECK3 /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-toolchain.c
: 'RUN: at line 27';   /b/s/w/ir/x/w/staging/llvm_build/bin/clang -### /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-toolchain.c --target=avr 2>&1 | /b/s/w/ir/x/w/staging/llvm_build/bin/FileCheck -check-prefix=CC1 /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-toolchain.c
: 'RUN: at line 30';   /b/s/w/ir/x/w/staging/llvm_build/bin/clang -### /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-toolchain.c --target=avr -fuse-init-array -fuse-cxa-atexit 2>&1 | /b/s/w/ir/x/w/staging/llvm_build/bin/FileCheck -check-prefix=CHECK4 /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-toolchain.c
: 'RUN: at line 35';   /b/s/w/ir/x/w/staging/llvm_build/bin/clang -### /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-toolchain.c --target=avr --sysroot=/b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/basic_avr_tree 2>&1 -nostdinc | /b/s/w/ir/x/w/staging/llvm_build/bin/FileCheck --check-prefix=NOSTDINC /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-toolchain.c
: 'RUN: at line 36';   /b/s/w/ir/x/w/staging/llvm_build/bin/clang -### /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-toolchain.c --target=avr --sysroot=/b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/basic_avr_tree 2>&1 -nostdlibinc | /b/s/w/ir/x/w/staging/llvm_build/bin/FileCheck --check-prefix=NOSTDINC /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-toolchain.c
: 'RUN: at line 39';   /b/s/w/ir/x/w/staging/llvm_build/bin/clang -### --target=avr --sysroot=/b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/basic_avr_tree -mmcu=atmega328 /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-toolchain.c 2>&1 | /b/s/w/ir/x/w/staging/llvm_build/bin/FileCheck --check-prefix=NOWARN /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-toolchain.c
: 'RUN: at line 40';   /b/s/w/ir/x/w/staging/llvm_build/bin/clang -### --target=avr --sysroot=/b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/basic_avr_tree -mmcu=atmega328 -S /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-toolchain.c 2>&1 | /b/s/w/ir/x/w/staging/llvm_build/bin/FileCheck --check-prefix=NOWARN /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-toolchain.c
: 'RUN: at line 41';   /b/s/w/ir/x/w/staging/llvm_build/bin/clang -### --target=avr --sysroot=/b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/ -mmcu=atmega328 -S /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-toolchain.c 2>&1 | /b/s/w/ir/x/w/staging/llvm_build/bin/FileCheck --check-prefix=NOWARN /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-toolchain.c
: 'RUN: at line 44';   /b/s/w/ir/x/w/staging/llvm_build/bin/clang -### --target=avr --sysroot=/b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/basic_avr_tree -S /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-toolchain.c 2>&1 | /b/s/w/ir/x/w/staging/llvm_build/bin/FileCheck --check-prefixes=NOMCU,LINKA /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-toolchain.c
: 'RUN: at line 45';   /b/s/w/ir/x/w/staging/llvm_build/bin/clang -### --target=avr --sysroot=/b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/ -S /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-toolchain.c 2>&1 | /b/s/w/ir/x/w/staging/llvm_build/bin/FileCheck --check-prefixes=NOMCU,LINKA /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-toolchain.c
: 'RUN: at line 46';   /b/s/w/ir/x/w/staging/llvm_build/bin/clang -### --target=avr --sysroot=/b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/basic_avr_tree /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-toolchain.c 2>&1 | /b/s/w/ir/x/w/staging/llvm_build/bin/FileCheck --check-prefixes=NOMCU,LINKB /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-toolchain.c
: 'RUN: at line 55';   /b/s/w/ir/x/w/staging/llvm_build/bin/clang -### --target=avr --sysroot=/b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/ -mmcu=atmega328 /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-toolchain.c 2>&1 | /b/s/w/ir/x/w/staging/llvm_build/bin/FileCheck --check-prefixes=NOGCC /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-toolchain.c
: 'RUN: at line 61';   /b/s/w/ir/x/w/staging/llvm_build/bin/clang -### --target=avr --sysroot=/b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/basic_avr_tree -mmcu=atmega328 /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-toolchain.c -fuse-ld=avrld 2>&1 | /b/s/w/ir/x/w/staging/llvm_build/bin/FileCheck --check-prefix=NOLD /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-toolchain.c
: 'RUN: at line 64';   /b/s/w/ir/x/w/staging/llvm_build/bin/clang -### --target=avr --sysroot=/b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/basic_avr_tree -mmcu=atmega328 /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-toolchain.c -fuse-ld=/b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/basic_avr_tree/usr/bin/ld.lld 2>&1 | /b/s/w/ir/x/w/staging/llvm_build/bin/FileCheck --check-prefix=LLD /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-toolchain.c
: 'RUN: at line 69';   /b/s/w/ir/x/w/staging/llvm_build/bin/clang -### --target=avr --sysroot=/b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/basic_avr_tree -mmcu=atmega328 /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-toolchain.c -T avr.lds 2>&1 | /b/s/w/ir/x/w/staging/llvm_build/bin/FileCheck --check-prefix=LDS0 /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-toolchain.c
: 'RUN: at line 72';   /b/s/w/ir/x/w/staging/llvm_build/bin/clang -### --target=avr --sysroot=/b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/basic_avr_tree -mmcu=atmega328 /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-toolchain.c -fuse-ld=/b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/basic_avr_tree/usr/bin/ld.lld -T avr.lds 2>&1 | /b/s/w/ir/x/w/staging/llvm_build/bin/FileCheck --check-prefix=LDS1 /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-toolchain.c
: 'RUN: at line 76';   /b/s/w/ir/x/w/staging/llvm_build/bin/clang /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-toolchain.c -### --target=avr -mmcu=atmega328 --sysroot=/b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/basic_avr_tree/ -resource-dir=/b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/resource_dir_with_per_target_subdir 2>&1 | /b/s/w/ir/x/w/staging/llvm_build/bin/FileCheck --check-prefix=LIBGCC /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-toolchain.c
: 'RUN: at line 77';   /b/s/w/ir/x/w/staging/llvm_build/bin/clang /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-toolchain.c -### --target=avr -mmcu=atmega328 --sysroot=/b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/basic_avr_tree/ -resource-dir=/b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/resource_dir_with_per_target_subdir --rtlib=libgcc 2>&1 | /b/s/w/ir/x/w/staging/llvm_build/bin/FileCheck --check-prefix=LIBGCC /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-toolchain.c
: 'RUN: at line 81';   /b/s/w/ir/x/w/staging/llvm_build/bin/clang /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-toolchain.c -### --target=avr -mmcu=atmega328 --sysroot=/b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/basic_avr_tree/ -resource-dir=/b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/resource_dir_with_per_target_subdir --rtlib=compiler-rt 2>&1 | /b/s/w/ir/x/w/staging/llvm_build/bin/FileCheck --check-prefix=COMRT /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-toolchain.c
: 'RUN: at line 85';   /b/s/w/ir/x/w/staging/llvm_build/bin/clang /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-toolchain.c -### --target=avr --sysroot=/b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/basic_avr_tree/ -resource-dir=/b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/resource_dir_with_per_target_subdir --rtlib=compiler-rt 2>&1 | /b/s/w/ir/x/w/staging/llvm_build/bin/FileCheck --check-prefix=NOMCU /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-toolchain.c
: 'RUN: at line 86';   /b/s/w/ir/x/w/staging/llvm_build/bin/clang /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-toolchain.c -### --target=avr --sysroot=/b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/basic_avr_tree/ -resource-dir=/b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/resource_dir_with_per_target_subdir --rtlib=libgcc 2>&1 | /b/s/w/ir/x/w/staging/llvm_build/bin/FileCheck --check-prefix=NOMCU /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-toolchain.c
--
Exit Code: 1

Command Output (stderr):
--
/b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-toolchain.c:78:12: error: LIBGCC: expected string not found in input
// LIBGCC: "-lgcc"
           ^
<stdin>:1:1: note: scanning from here
Fuchsia clang version 16.0.0 (https://llvm.googlesource.com/llvm-project 6bb243bbdbdd9b55495dd3cb0512eb814d387d3d)
^
<stdin>:6:134: note: possible intended match here
 "/b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/basic_avr_tree/usr/lib/gcc/avr/5.4.0/../../../../bin/avr-ld" "-o" "a.out" "--gc-sections" "-L/b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/resource_dir_with_per_target_subdir/lib/avr" "-L/b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/basic_avr_tree/usr/lib/gcc/avr/5.4.0/../../../avr/lib/avr5" "-Tdata=0x800100" "--start-group" "-l:crtatmega328.o" "-lm" "-lc" "-latmega328" "/b/s/w/ir/x/t/lit-tmp-_zwtb4z7/avr-toolchain-34fb05.o" "/b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/resource_dir_with_per_target_subdir/lib/avr/libclang_rt.builtins.a" "--end-group" "-mavr5"
                                                                                                                                     ^

Input file: <stdin>
Check file: /b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-toolchain.c

-dump-input=help explains the following input dump.

Input was:
<<<<<<
            1: Fuchsia clang version 16.0.0 (https://llvm.googlesource.com/llvm-project 6bb243bbdbdd9b55495dd3cb0512eb814d387d3d) 
check:78'0     X~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ error: no match found
            2: Target: avr 
check:78'0     ~~~~~~~~~~~~
            3: Thread model: posix 
check:78'0     ~~~~~~~~~~~~~~~~~~~~
            4: InstalledDir: /b/s/w/ir/x/w/staging/llvm_build/bin 
check:78'0     ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
            5:  "/b/s/w/ir/x/w/staging/llvm_build/bin/clang-16" "-cc1" "-triple" "avr" "-emit-obj" "-mrelax-all" "--mrelax-relocations" "-disable-free" "-clear-ast-before-backend" "-main-file-name" "avr-toolchain.c" "-mrelocation-model" "static" "-mframe-pointer=all" "-fmath-errno" "-ffp-contract=on" "-fno-rounding-math" "-mconstructor-aliases" "-fno-use-init-array" "-fno-use-cxa-atexit" "-target-cpu" "atmega328" "-mllvm" "-treat-scalable-fixed-error-as-warning" "-debugger-tuning=gdb" "-fcoverage-compilation-dir=/b/s/w/ir/x/w/staging/llvm_build/tools/clang/test/Driver" "-resource-dir" "/b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/resource_dir_with_per_target_subdir" "-isysroot" "/b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/basic_avr_tree/" "-internal-isystem" "/b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/basic_avr_tree/usr/lib/gcc/avr/5.4.0/../../../avr/include" "-fdebug-compilation-dir=/b/s/w/ir/x/w/staging/llvm_build/tools/clang/test/Driver" "-ferror-limit" "19" "-fgnuc-version=4.2.1" "-faddrsig" "-o" "/b/s/w/ir/x/t/lit-tmp-_zwtb4z7/avr-toolchain-34fb05.o" "-x" "c" "/b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/avr-toolchain.c" 
check:78'0     ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
            6:  "/b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/basic_avr_tree/usr/lib/gcc/avr/5.4.0/../../../../bin/avr-ld" "-o" "a.out" "--gc-sections" "-L/b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/resource_dir_with_per_target_subdir/lib/avr" "-L/b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/basic_avr_tree/usr/lib/gcc/avr/5.4.0/../../../avr/lib/avr5" "-Tdata=0x800100" "--start-group" "-l:crtatmega328.o" "-lm" "-lc" "-latmega328" "/b/s/w/ir/x/t/lit-tmp-_zwtb4z7/avr-toolchain-34fb05.o" "/b/s/w/ir/x/w/llvm-llvm-project/clang/test/Driver/Inputs/resource_dir_with_per_target_subdir/lib/avr/libclang_rt.builtins.a" "--end-group" "-mavr5" 
check:78'0     ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
check:78'1                                                                                                                                          ?                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              possible intended match
>>>>>>

--

I have not a Fuchsia environment, I may do a try fix, reland, and check if my fix will be OK.

@phosek ,

I have re-landed my patch, it seems the core reason is compiler-rt is default in Fuchsia environment, other than libgcc.

please inform me if it went wrong any longer.

@phosek ,

I have re-landed my patch, it seems the core reason is compiler-rt is default in Fuchsia environment, other than libgcc.

please inform me if it went wrong any longer.

Thanks, I'll keep on monitoring our builders. Another difference is that we use LLD as a the default linker. The solution we often use for other driver tests is setting --rtlib=platform and -fuse-ld=.